Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType embedded-ldapType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}embedded-ldapType

Model
  `<...>
  name?, notes?, credential-encrypted?, backup-hour?, backup-minute?, backup-copies?, cache-enabled?, cache-size?, cache-ttl?, refresh-replica-at-startup?, master-first?, timeout?, anonymous-bind-allowed?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  The MBean that defines the configuration properties for the embedded LDAP server for the WebLogic domain.

  MBean: `EmbeddedLDAPMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `credential-encrypted` optional The credential (usually password) used to connect to the embedded LDAP server.
`annonymous type derived from int` | `backup-hour` optional The hour at which the embedded LDAP server should be backed up.
`annonymous type derived from int` | `backup-minute` optional The minute at which the embedded LDAP server should be backed up.
`annonymous type derived from int` | `backup-copies` optional The maximum number of backup copies that should be made for the embedded LDAP server.
`boolean` | `cache-enabled` optional The MBean that defines the configuration properties for the embedded LDAP server for the WebLogic domain.
`annonymous type derived from int` | `cache-size` optional The size of the cache (in kilobytes) that is used with the embedded LDAP server.
`annonymous type derived from int` | `cache-ttl` optional The time-to-live of the cache (in seconds) that is used with the embedded LDAP server.
`boolean` | `refresh-replica-at-startup` optional The MBean that defines the configuration properties for the embedded LDAP server for the WebLogic domain.
`boolean` | `master-first` optional The MBean that defines the configuration properties for the embedded LDAP server for the WebLogic domain.
`annonymous type derived from int` | `timeout` optional Specifies the maximum number of seconds to wait for results from the embedded LDAP server before timing out.
`boolean` | `anonymous-bind-allowed` optional The MBean that defines the configuration properties for the embedded LDAP server for the WebLogic domain.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1